## spdlog 1.15.0+ds

=== debian/changelog ===
spdlog (1:1.15.0+ds-2ubuntu1) plucky; urgency=medium

  * d/rules: Build with LTO disabled for ppc64el.
    - Tests are aborting if LTO is enabled.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 24 Jan 2025 18:13:15 +0000

spdlog (1:1.15.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Backport a patch from upstream to fix building with fmtlib 11.1.

 -- Shengqi Chen <harry@debian.org>  Fri, 10 Jan 2025 17:46:13 +0800

spdlog (1:1.15.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Upload 1.15.0+ds-1 to unstable.

 -- Shengqi Chen <harry@debian.org>  Fri, 10 Jan 2025 17:45:50 +0800

spdlog (1:1.15.0+ds-1~exp2) experimental; urgency=medium

  * Team upload.
  * d/control: move libfmt-dev back into Depends of libspdlog-dev

 -- Shengqi Chen <harry@debian.org>  Mon, 06 Jan 2025 17:24:08 +0800

spdlog (1:1.15.0+ds-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.15.0+ds (closes: #1087759)
    + bump soversion to 1.15 accordingly
  * Use cmake+ninja as build system
  * d/patches: remove applied patch & refresh
  * d/control:
    + bump std-ver to 4.7.0 (no changes required)
    + re-organize dependencies and B-D (closes: #1087736)
  * d/tests: add missing dependencies, use ninja to build

 -- Shengqi Chen <harry@debian.org>  Fri, 03 Jan 2025 00:05:38 +0800

## spdlog 1.15.1+ds

=== CMakeLists.txt ===
# Copyright(c) 2019 spdlog authors Distributed under the MIT License (http://opensource.org/licenses/MIT)

cmake_minimum_required(VERSION 3.10...3.21)

# ---------------------------------------------------------------------------------------
# Start spdlog project
# ---------------------------------------------------------------------------------------
include(cmake/utils.cmake)
include(cmake/ide.cmake)

spdlog_extract_version()

project(spdlog VERSION ${SPDLOG_VERSION} LANGUAGES CXX)
message(STATUS "Build spdlog: ${SPDLOG_VERSION}")

include(GNUInstallDirs)

# ---------------------------------------------------------------------------------------
# Set default build to release
# ---------------------------------------------------------------------------------------
if (NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
    set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose Release or Debug" FORCE)
endif ()

# ---------------------------------------------------------------------------------------
# Compiler config
# ---------------------------------------------------------------------------------------
if (SPDLOG_USE_STD_FORMAT)
    set(CMAKE_CXX_STANDARD 20)
    set(CMAKE_CXX_STANDARD_REQUIRED ON)
elseif (NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD 11)
    set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif ()


set(CMAKE_CXX_EXTENSIONS OFF)

if (CMAKE_SYSTEM_NAME MATCHES "CYGWIN" OR CMAKE_SYSTEM_NAME MATCHES "MSYS" OR CMAKE_SYSTEM_NAME MATCHES "MINGW")
    set(CMAKE_CXX_EXTENSIONS ON)
endif ()

# ---------------------------------------------------------------------------------------
# Set SPDLOG_MASTER_PROJECT to ON if we are building spdlog
# ---------------------------------------------------------------------------------------
# Check if spdlog is being used directly or via add_subdirectory, but allow overriding
if (NOT DEFINED SPDLOG_MASTER_PROJECT)
    if (CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_SOURCE_DIR)
        set(SPDLOG_MASTER_PROJECT ON)
    else ()
        set(SPDLOG_MASTER_PROJECT OFF)
    endif ()
endif ()

option(SPDLOG_BUILD_ALL "Build all artifacts" OFF)

# build shared option
option(SPDLOG_BUILD_SHARED "Build shared library" OFF)

# precompiled headers option
option(SPDLOG_ENABLE_PCH "Build static or shared library using precompiled header to speed up compilation time" OFF)

# build position independent code
option(SPDLOG_BUILD_PIC "Build position independent code (-fPIC)" OFF)

# example options
option(SPDLOG_BUILD_EXAMPLE "Build example" ${SPDLOG_MASTER_PROJECT})
option(SPDLOG_BUILD_EXAMPLE_HO "Build header only example" OFF)

# testing options
option(SPDLOG_BUILD_TESTS "Build tests" OFF)
option(SPDLOG_BUILD_TESTS_HO "Build tests using the header only version" OFF)

# bench options
option(SPDLOG_BUILD_BENCH "Build benchmarks (Requires https://github.com/google/benchmark.git to be installed)" OFF)

# sanitizer options
option(SPDLOG_SANITIZE_ADDRESS "Enable address sanitizer in tests" OFF)
option(SPDLOG_SANITIZE_THREAD "Enable thread sanitizer in tests" OFF)
if (SPDLOG_SANITIZE_ADDRESS AND SPDLOG_SANITIZE_THREAD)
    message(FATAL_ERROR "SPDLOG_SANITIZE_ADDRESS and SPDLOG_SANITIZE_THREAD are mutually exclusive")
endif ()

# warning options
option(SPDLOG_BUILD_WARNINGS "Enable compiler warnings" OFF)

# install options
option(SPDLOG_SYSTEM_INCLUDES "Include as system headers (skip for clang-tidy)." OFF)
option(SPDLOG_INSTALL "Generate the install target" ${SPDLOG_MASTER_PROJECT})
option(SPDLOG_USE_STD_FORMAT "Use std::format instead of fmt library." OFF)
option(SPDLOG_FMT_EXTERNAL "Use external fmt library instead of bundled" OFF)
option(SPDLOG_FMT_EXTERNAL_HO "Use external fmt header-only library instead of bundled" OFF)
option(SPDLOG_NO_EXCEPTIONS "Compile with -fno-exceptions. Call abort() on any spdlog exceptions" OFF)

if (SPDLOG_FMT_EXTERNAL AND SPDLOG_FMT_EXTERNAL_HO)
    message(FATAL_ERROR "SPDLOG_FMT_EXTERNAL and SPDLOG_FMT_EXTERNAL_HO are mutually exclusive")
endif ()

if (SPDLOG_USE_STD_FORMAT AND SPDLOG_FMT_EXTERNAL_HO)
    message(FATAL_ERROR "SPDLOG_USE_STD_FORMAT and SPDLOG_FMT_EXTERNAL_HO are mutually exclusive")
endif ()

if (SPDLOG_USE_STD_FORMAT AND SPDLOG_FMT_EXTERNAL)
    message(FATAL_ERROR "SPDLOG_USE_STD_FORMAT and SPDLOG_FMT_EXTERNAL are mutually exclusive")
endif ()

# misc tweakme options
if (WIN32)
    option(SPDLOG_WCHAR_SUPPORT "Support wchar api" OFF)
    option(SPDLOG_WCHAR_FILENAMES "Support wchar filenames" OFF)
    option(SPDLOG_WCHAR_CONSOLE "Support wchar output to console" OFF)
else ()
    set(SPDLOG_WCHAR_SUPPORT OFF CACHE BOOL "non supported option" FORCE)
    set(SPDLOG_WCHAR_FILENAMES OFF CACHE BOOL "non supported option" FORCE)
    set(SPDLOG_WCHAR_CONSOLE OFF CACHE BOOL "non supported option" FORCE)
endif ()

if (MSVC)
    option(SPDLOG_MSVC_UTF8 "Enable/disable msvc /utf-8 flag required by fmt lib" ON)
endif ()

if (${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
    option(SPDLOG_CLOCK_COARSE "Use CLOCK_REALTIME_COARSE instead of the regular clock," OFF)
else ()
    set(SPDLOG_CLOCK_COARSE OFF CACHE BOOL "non supported option" FORCE)
endif ()

option(SPDLOG_PREVENT_CHILD_FD "Prevent from child processes to inherit log file descriptors" OFF)
option(SPDLOG_NO_THREAD_ID "prevent spdlog from querying the thread id on each log call if thread id is not needed" OFF)
option(SPDLOG_NO_TLS "prevent spdlog from using thread local storage" OFF)
option(
        SPDLOG_NO_ATOMIC_LEVELS
        "prevent spdlog from using of std::atomic log levels (use only if your code never modifies log levels concurrently"
        OFF)
option(SPDLOG_DISABLE_DEFAULT_LOGGER "Disable default logger creation" OFF)
option(SPDLOG_FWRITE_UNLOCKED "Use the unlocked variant of fwrite. Leave this on unless your libc doesn't have it" ON)

# clang-tidy
option(SPDLOG_TIDY "run clang-tidy" OFF)

if (SPDLOG_TIDY)
    set(CMAKE_CXX_CLANG_TIDY "clang-tidy")
    set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
    message(STATUS "Enabled clang-tidy")
endif ()

if (SPDLOG_BUILD_PIC)
    set(CMAKE_POSITION_INDEPENDENT_CODE ON)
endif ()

find_package(Threads REQUIRED)
message(STATUS "Build type: " ${CMAKE_BUILD_TYPE})
# ---------------------------------------------------------------------------------------
# Static/Shared library
# ---------------------------------------------------------------------------------------
set(SPDLOG_SRCS src/spdlog.cpp src/stdout_sinks.cpp src/color_sinks.cpp src/file_sinks.cpp src/async.cpp src/cfg.cpp)

if (NOT SPDLOG_USE_STD_FORMAT AND NOT SPDLOG_FMT_EXTERNAL AND NOT SPDLOG_FMT_EXTERNAL_HO)
    list(APPEND SPDLOG_SRCS src/bundled_fmtlib_format.cpp)
endif ()

if (SPDLOG_BUILD_SHARED OR BUILD_SHARED_LIBS)
    if (WIN32)
        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/version.rc.in ${CMAKE_CURRENT_BINARY_DIR}/version.rc @ONLY)
        list(APPEND SPDLOG_SRCS ${CMAKE_CURRENT_BINARY_DIR}/version.rc)
    endif ()
    add_library(spdlog SHARED ${SPDLOG_SRCS} ${SPDLOG_ALL_HEADERS})
    target_compile_definitions(spdlog PUBLIC SPDLOG_SHARED_LIB)
    if (CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
        target_compile_options(spdlog PUBLIC $<$<AND:$<CXX_COMPILER_ID:MSVC>,$<NOT:$<COMPILE_LANGUAGE:CUDA>>>:/wd4251
                /wd4275>)
    endif ()
    if (NOT SPDLOG_USE_STD_FORMAT AND NOT SPDLOG_FMT_EXTERNAL AND NOT SPDLOG_FMT_EXTERNAL_HO)
        target_compile_definitions(spdlog PRIVATE FMT_LIB_EXPORT PUBLIC FMT_SHARED)
    endif ()
else ()
    add_library(spdlog STATIC ${SPDLOG_SRCS} ${SPDLOG_ALL_HEADERS})
endif ()

add_library(spdlog::spdlog ALIAS spdlog)

set(SPDLOG_INCLUDES_LEVEL "")
if (SPDLOG_SYSTEM_INCLUDES)
    set(SPDLOG_INCLUDES_LEVEL "SYSTEM")
endif ()

target_compile_definitions(spdlog PUBLIC SPDLOG_COMPILED_LIB)
target_include_directories(spdlog ${SPDLOG_INCLUDES_LEVEL} PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}/include>"
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>")
target_link_libraries(spdlog PUBLIC Threads::Threads)
spdlog_enable_warnings(spdlog)

set_target_properties(spdlog PROPERTIES VERSION ${SPDLOG_VERSION} SOVERSION
        ${SPDLOG_VERSION_MAJOR}.${SPDLOG_VERSION_MINOR})
set_target_properties(spdlog PROPERTIES DEBUG_POSTFIX d)

if (COMMAND target_precompile_headers AND SPDLOG_ENABLE_PCH)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/pch.h.in ${PROJECT_BINARY_DIR}/spdlog_pch.h @ONLY)
    target_precompile_headers(spdlog PRIVATE ${PROJECT_BINARY_DIR}/spdlog_pch.h)
endif ()

# sanitizer support
if (SPDLOG_SANITIZE_ADDRESS)
    spdlog_enable_addr_sanitizer(spdlog)
elseif (SPDLOG_SANITIZE_THREAD)
    spdlog_enable_thread_sanitizer(spdlog)
endif ()

# ---------------------------------------------------------------------------------------
# Header only version
# ---------------------------------------------------------------------------------------
add_library(spdlog_header_only INTERFACE)
add_library(spdlog::spdlog_header_only ALIAS spdlog_header_only)

target_include_directories(
        spdlog_header_only ${SPDLOG_INCLUDES_LEVEL} INTERFACE "$<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}/include>"
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>")
target_link_libraries(spdlog_header_only INTERFACE Threads::Threads)

# ---------------------------------------------------------------------------------------
# Use fmt package if using external fmt
# ---------------------------------------------------------------------------------------
if (SPDLOG_FMT_EXTERNAL OR SPDLOG_FMT_EXTERNAL_HO)
    if (NOT TARGET fmt::fmt)
        find_package(fmt CONFIG REQUIRED)
    endif ()
    target_compile_definitions(spdlog PUBLIC SPDLOG_FMT_EXTERNAL)
    target_compile_definitions(spdlog_header_only INTERFACE SPDLOG_FMT_EXTERNAL)

    # use external fmt-header-only
    if (SPDLOG_FMT_EXTERNAL_HO)
        target_link_libraries(spdlog PUBLIC fmt::fmt-header-only)
        target_link_libraries(spdlog_header_only INTERFACE fmt::fmt-header-only)
    else () # use external compile fmt
        target_link_libraries(spdlog PUBLIC fmt::fmt)
        target_link_libraries(spdlog_header_only INTERFACE fmt::fmt)
    endif ()

    set(PKG_CONFIG_REQUIRES fmt) # add dependency to pkg-config
endif ()

# ---------------------------------------------------------------------------------------
# Check if fwrite_unlocked/_fwrite_nolock is available
# ---------------------------------------------------------------------------------------
if (SPDLOG_FWRITE_UNLOCKED)
    include(CheckSymbolExists)
    if (WIN32)
        check_symbol_exists(_fwrite_nolock "stdio.h" HAVE_FWRITE_UNLOCKED)
    else ()
        check_symbol_exists(fwrite_unlocked "stdio.h" HAVE_FWRITE_UNLOCKED)
    endif ()
    if (HAVE_FWRITE_UNLOCKED)
        target_compile_definitions(spdlog PRIVATE SPDLOG_FWRITE_UNLOCKED)
        target_compile_definitions(spdlog_header_only INTERFACE SPDLOG_FWRITE_UNLOCKED)
    endif ()
endif ()

# ---------------------------------------------------------------------------------------
# Add required libraries for Android CMake build
# ---------------------------------------------------------------------------------------
if (ANDROID)
    target_link_libraries(spdlog PUBLIC log)
    target_link_libraries(spdlog_header_only INTERFACE log)
endif ()

# ---------------------------------------------------------------------------------------
# Misc definitions according to tweak options
# ---------------------------------------------------------------------------------------
set(SPDLOG_WCHAR_TO_UTF8_SUPPORT ${SPDLOG_WCHAR_SUPPORT})
set(SPDLOG_UTF8_TO_WCHAR_CONSOLE ${SPDLOG_WCHAR_CONSOLE})
foreach (
        SPDLOG_OPTION
        SPDLOG_WCHAR_TO_UTF8_SUPPORT
        SPDLOG_UTF8_TO_WCHAR_CONSOLE
        SPDLOG_WCHAR_FILENAMES
        SPDLOG_NO_EXCEPTIONS
        SPDLOG_CLOCK_COARSE
        SPDLOG_PREVENT_CHILD_FD
        SPDLOG_NO_THREAD_ID
        SPDLOG_NO_TLS
        SPDLOG_NO_ATOMIC_LEVELS
        SPDLOG_DISABLE_DEFAULT_LOGGER
        SPDLOG_USE_STD_FORMAT)
    if (${SPDLOG_OPTION})

=== debian/changelog ===
spdlog (1:1.15.1+ds-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/rules: Build with LTO disabled for ppc64el.
      - Tests are aborting if LTO is enabled.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 14 Feb 2025 22:18:38 +0000

spdlog (1:1.15.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.15.1+ds.
  * d/patches: remove applied patch.

 -- Shengqi Chen <harry@debian.org>  Wed, 12 Feb 2025 23:07:58 +0800

=== debian/control ===
Source: spdlog
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: libdevel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               ninja-build,
               pkgconf,
               libfmt-dev (>= 10),
               pkg-kde-tools,
               libsystemd-dev [linux-any] <!nocheck>,
               catch2 (>= 3.0.0) <!nocheck>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/spdlog
Vcs-Git: https://salsa.debian.org/med-team/spdlog.git
Homepage: https://github.com/gabime/spdlog
Rules-Requires-Root: no

Package: libspdlog-dev
Architecture: any
Multi-Arch: same
Depends: libspdlog1.15 (= ${binary:Version}),
         libfmt-dev (>= 10),
         ${misc:Depends}
Suggests: qtbase5-dev | qt6-base-dev,
          libsystemd-dev [linux-any]
Description: Very fast, header only or compiled, C++ logging library
 Features: Very fast - performance is the primary goal; Headers only; No
 dependencies - just copy and use; call style using the excellent cppformat
 library; ostream call style is supported too; Optional extremely fast
 asynchronous mode - using lockfree queues and other tricks to reach millions
 of calls/sec; Custom formatting; Multi/Single threaded loggers; Easily
 extendable with custom log targets (just implement a single function in the
 sink interface). Severity based filtering - threshold levels can be modified
 in runtime as well as in compile time.
 .
 Various log targets:
 Rotating log files, Daily log files, Console logging, Linux syslog.

Package: libspdlog1.15
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libspdlog1 (<< 1:1.10.0+ds-0.3)
Provides: ${spdlog:Provides}
Replaces: libspdlog1 (<< 1:1.10.0+ds-0.3)
Description: Very fast C++ logging library
 Features: Very fast - performance is the primary goal; Headers only; No
 dependencies - just copy and use; call style using the excellent cppformat
 library; ostream call style is supported too; Optional extremely fast
 asynchronous mode - using lockfree queues and other tricks to reach millions
 of calls/sec; Custom formatting; Multi/Single threaded loggers; Easily
 extendable with custom log targets (just implement a single function in the
 sink interface). Severity based filtering - threshold levels can be modified
 in runtime as well as in compile time.
 .
 Various log targets:
 Rotating log files, Daily log files, Console logging, Linux syslog.
 .
 This is the compiled version of the library.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
  export DEB_LDFLAGS_MAINT_APPEND=-latomic
endif

export DEB_BUILD_MAINT_OPTIONS=hardening=+all $(if $(findstring ppc64el,$(DEB_HOST_ARCH)), optimize=-lto)

soversion = 1.15
fmtabi = $(shell apt show libfmt-dev 2>/dev/null | sed -n 's/Depends: .*libfmt\([0-9]*\) .*/\1/p')
spdlogfmtabi = libspdlog$(soversion)-fmt$(fmtabi)

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

# meson, not recommended by upstream
#override_dh_auto_configure:
#	dh_auto_configure -- -Denable_tests=true -Dexternal_fmt=true -Dlibrary_type=shared

override_dh_auto_configure:
	rm -Rf include/spdlog/fmt/bundled/
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	dh_auto_configure -- -DSPDLOG_BUILD_EXAMPLE=ON \
		-DSPDLOG_BUILD_EXAMPLE_HO=ON \
		-DSPDLOG_BUILD_TESTS=ON \
		-DSPDLOG_FMT_EXTERNAL=ON \
		-DSPDLOG_BUILD_TESTS_HO=ON \
		-DSPDLOG_BUILD_SHARED=ON
else
	dh_auto_configure -- -DSPDLOG_BUILD_EXAMPLE=OFF \
		-DSPDLOG_BUILD_EXAMPLE_HO=OFF \
		-DSPDLOG_BUILD_TESTS=OFF \
		-DSPDLOG_FMT_EXTERNAL=ON \
		-DSPDLOG_BUILD_TESTS_HO=OFF \
		-DSPDLOG_BUILD_SHARED=ON
endif

override_dh_auto_test:
	dh_auto_test --no-parallel

override_dh_auto_install:
	rm -f example/logs/.gitignore
	dh_auto_install
	find debian -name .gitignore -delete
	find debian -name mongo_sink.h -delete  # no satisfiable in Debian
	find debian -name tcp_client-windows.h -delete  # no satisfiable in Debian
	find debian -name udp_client-windows.h -delete  # no satisfiable in Debian

override_dh_gencontrol:
	dh_gencontrol -- -Vspdlog:Provides=$(spdlogfmtabi)

override_dh_makeshlibs:
	dh_makeshlibs -plibspdlog$(soversion) -V '$(spdlogfmtabi)'

## spdlog 1.15.2+ds

=== debian/changelog ===
spdlog (1:1.15.2+ds-2) unstable; urgency=medium

  * Team upload.
  * d/rules: replace apt with dpkg-query (closes: #1098867).
  * d/rules: disable LTO to avoid dh_auto_test failure (closes: #1094031).

 -- Shengqi Chen <harry@debian.org>  Thu, 10 Apr 2025 13:32:02 +0800

spdlog (1:1.15.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.15.2+ds.
  * d/control: bump std-ver to 4.7.2 (no changes required).

 -- Shengqi Chen <harry@debian.org>  Mon, 07 Apr 2025 23:35:35 +0800

=== debian/tests/control ===
Tests: run-tests
Restrictions: allow-stderr
Depends: libspdlog-dev, libfmt-dev, libsystemd-dev, cmake, g++, catch2, ninja-build

=== debian/watch ===
version=4

opts="repacksuffix=+ds,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/gabime/spdlog/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## spdlog 1.15.3%2Bds

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,10 @@
   export DEB_LDFLAGS_MAINT_APPEND=-latomic
 endif
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all $(if $(findstring ppc64el,$(DEB_HOST_ARCH)), optimize=-lto)
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=-lto
 
 soversion = 1.15
-fmtabi = $(shell apt show libfmt-dev 2>/dev/null | sed -n 's/Depends: .*libfmt\([0-9]*\) .*/\1/p')
+fmtabi = $(shell dpkg-query -W -f '$${Depends}' libfmt-dev | sed -n 's/libfmt\([0-9]*\) .*/\1/p')
 spdlogfmtabi = libspdlog$(soversion)-fmt$(fmtabi)
 
 %:

## spdlog 1.15.3+ds

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11)
project(spdlog_utests CXX)

if(NOT TARGET spdlog)
    # Stand-alone build
    find_package(spdlog REQUIRED)
endif()

include(../cmake/utils.cmake)

find_package(PkgConfig)
if(PkgConfig_FOUND)
    pkg_check_modules(systemd libsystemd)
endif()

find_package(Catch2 3 QUIET)
if(Catch2_FOUND)
    message(STATUS "Packaged version of Catch will be used.")
else()
    message(STATUS "Bundled version of Catch will be downloaded and used.")
    include(FetchContent)
    FetchContent_Declare(
        Catch2 GIT_REPOSITORY https://github.com/catchorg/Catch2.git
        GIT_TAG 53d0d913a422d356b23dd927547febdf69ee9081 # v3.5.0
    )
    FetchContent_MakeAvailable(Catch2)
endif()

set(SPDLOG_UTESTS_SOURCES
    test_file_helper.cpp
    test_file_logging.cpp
    test_daily_logger.cpp
    test_misc.cpp
    test_eventlog.cpp
    test_pattern_formatter.cpp
    test_async.cpp
    test_registry.cpp
    test_macros.cpp
    utils.cpp
    main.cpp
    test_mpmc_q.cpp
    test_dup_filter.cpp
    test_fmt_helper.cpp
    test_stdout_api.cpp
    test_backtrace.cpp
    test_create_dir.cpp
    test_custom_callbacks.cpp
    test_cfg.cpp
    test_time_point.cpp
    test_stopwatch.cpp
    test_circular_q.cpp
    test_bin_to_hex.cpp)

if(NOT SPDLOG_NO_EXCEPTIONS)
    list(APPEND SPDLOG_UTESTS_SOURCES test_errors.cpp)
endif()

if(systemd_FOUND)
    list(APPEND SPDLOG_UTESTS_SOURCES test_systemd.cpp)
endif()

enable_testing()

function(spdlog_prepare_test test_target spdlog_lib)
    add_executable(${test_target} ${SPDLOG_UTESTS_SOURCES})
    spdlog_enable_warnings(${test_target})
    target_link_libraries(${test_target} PRIVATE ${spdlog_lib})
    if(systemd_FOUND)
        target_link_libraries(${test_target} PRIVATE ${systemd_LIBRARIES})
    endif()
    target_link_libraries(${test_target} PRIVATE Catch2::Catch2WithMain)
    if(SPDLOG_SANITIZE_ADDRESS)
        spdlog_enable_addr_sanitizer(${test_target})
    elseif(SPDLOG_SANITIZE_THREAD)
        spdlog_enable_thread_sanitizer(${test_target})
    endif()
    add_test(NAME ${test_target} COMMAND ${test_target})
    set_tests_properties(${test_target} PROPERTIES RUN_SERIAL ON)
endfunction()

# The compiled library tests
if(SPDLOG_BUILD_TESTS OR SPDLOG_BUILD_ALL)
    spdlog_prepare_test(spdlog-utests spdlog::spdlog)
endif()

# The header-only library version tests
if(SPDLOG_BUILD_TESTS_HO OR SPDLOG_BUILD_ALL)
    spdlog_prepare_test(spdlog-utests-ho spdlog::spdlog_header_only)
endif()

=== debian/changelog ===
spdlog (1:1.15.3+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.15.3+ds.
  * d/patches: refresh and fix compilation with fmtlib10.

 -- Shengqi Chen <harry@debian.org>  Wed, 04 Jun 2025 22:27:46 +0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: spdlog
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: libdevel
 Priority: optional
@@ -12,7 +11,7 @@
                pkg-kde-tools,
                libsystemd-dev [linux-any] <!nocheck>,
                catch2 (>= 3.0.0) <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/spdlog
 Vcs-Git: https://salsa.debian.org/med-team/spdlog.git
 Homepage: https://github.com/gabime/spdlog
